Yubico Forum

...visit our web-store at store.yubico.com
It is currently Tue Oct 17, 2017 12:33 pm

All times are UTC + 1 hour




Post new topic Reply to topic  [ 2 posts ] 
Author Message
PostPosted: Tue Aug 30, 2016 3:18 pm 
Offline

Joined: Tue Aug 30, 2016 3:12 pm
Posts: 1
Help would be greatly appreciated.

The official yubikey-piv-manager version 1.3.0-1~ppa1~trusty1 installed from PPA will not start on Ubuntu version 14.04 (Trusty.)

Output:

Quote:
Traceback (most recent call last):
File "/usr/bin/pivman", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2749, in <module>
working_set = WorkingSet._build_master()
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 444, in _build_master
ws.require(__requires__)
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 725, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 628, in resolve
raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: PySide


Top
 Profile  
Reply with quote  

Share On:

Share on Facebook FacebookShare on Twitter TwitterShare on Tumblr TumblrShare on Google+ Google+

PostPosted: Wed Aug 31, 2016 4:28 am 
Offline

Joined: Fri Aug 26, 2016 4:44 am
Posts: 11
I'm seeing this too, even after running
Code:
apt-get install python-pyside
, which I would have expected should be a dependency of the package. I found a related bug report here at https://github.com/Yubico/yubioath-desktop/issues/26, although it is for a different program.

However, following the work-around instructions in that bug report leads me to subsequent trouble:

Code:
Traceback (most recent call last):
  File "/usr/bin/pivman", line 9, in <module>
    load_entry_point('yubikey-piv-manager==1.3.0', 'gui_scripts', 'pivman')()
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 351, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2363, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2088, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.7/dist-packages/pivman/__main__.py", line 33, in <module>
    from pivman.view.main import MainWidget
  File "/usr/lib/python2.7/dist-packages/pivman/view/main.py", line 30, in <module>
    from pivman.watcher import ControllerWatcher
  File "/usr/lib/python2.7/dist-packages/pivman/watcher.py", line 29, in <module>
    from pivman.controller import Controller
  File "/usr/lib/python2.7/dist-packages/pivman/controller.py", line 35, in <module>
    from hashlib import pbkdf2_hmac
ImportError: cannot import name pbkdf2_hmac


According to the hashlib docs, the available hashes depend on how python is linked against openssl. On my 14.04 system, python2's hashlib lacks pbkdf2_hmac, but python3's hashlib does have it. However, I cannot run pivman via python3 as it then cannot find other packages, like yubikey-piv-manager.

That's all I've got for now.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

All times are UTC + 1 hour


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group